#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "VoidHauntPassiveBreakableCosmeticComponent.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class HALLOWEEN2025_API UVoidHauntPassiveBreakableCosmeticComponent : public UActorComponent
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnBreakInteractionStarted(ADBDPlayer* breakingPlayer);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnBreakInteractionFinished(ADBDPlayer* breakingPlayer);

	UFUNCTION(BlueprintCallable, BlueprintImplementableEvent, BlueprintCosmetic)
	void Cosmetic_OnBreakInteractionCancelled(ADBDPlayer* breakingPlayer);

public:
	UVoidHauntPassiveBreakableCosmeticComponent();
};

FORCEINLINE uint32 GetTypeHash(const UVoidHauntPassiveBreakableCosmeticComponent) { return 0; }
